Package madkit.kernel

# Enum Class Madkit.LevelOption

java.lang.Object
java.lang.Enum<Madkit.LevelOption>
madkit.kernel.Madkit.LevelOption

All Implemented Interfaces:
  `Serializable`, `Comparable<Madkit.LevelOption>`, `java.lang.constant.Constable`, `MadkitOption`

Enclosing class:
  Madkit

public static enum Madkit.LevelOption extends Enum<Madkit.LevelOption> implements MadkitOption
MaDKit options valued with a string representing a `Level` value. These options could be used from the command line or using the main method of MaDKit.

Since:
  MaDKit 5.0.0.10
Version:
  0.9
Author:
  Fabien Michel

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `agentLogLevel`
  Option defining the default agent log level for newly launched agents.
  `guiLogLevel`
  Only useful for kernel developers
  `kernelLogLevel`
  Only useful for kernel developers
  `madkitLogLevel`
  Can be used to make MaDKit quiet
  `networkLogLevel`
  `warningLogLevel`
  Deprecated.
  as of MaDKit 5.2, replaced by `AgentLogger.enableCGRWarnings()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Level`
  `getValue(Properties session)`
  `String`
  `toString()`
  Returns the constant's name prefixed by "`--`" so that it could interpreted as an option of the command line or in `Madkit(String...)`.
  `static Madkit.LevelOption`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Madkit.LevelOption[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface madkit.kernel.MadkitOption

  `name`

- ## Enum Constant Details

  - ### agentLogLevel

    public static final Madkit.LevelOption agentLogLevel
    Option defining the default agent log level for newly launched agents. Default value is "INFO". This value could be overridden individually by agents using `AbstractAgent.setLogLevel(Level)`.

    Example:

    - --agentLogLevel OFF
    - --agentLogLevel ALL
    - --agentLogLevel FINE
    See Also:
      - `AbstractAgent.logger`
      - `Logger`
      - `AbstractAgent.getMadkitProperty(String)`
      - `AbstractAgent.setMadkitProperty(String, String)`

  - ### kernelLogLevel

    public static final Madkit.LevelOption kernelLogLevel
    Only useful for kernel developers

  - ### guiLogLevel

    public static final Madkit.LevelOption guiLogLevel
    Only useful for kernel developers

  - ### madkitLogLevel

    public static final Madkit.LevelOption madkitLogLevel
    Can be used to make MaDKit quiet

  - ### warningLogLevel

    public static final Madkit.LevelOption warningLogLevel
    Deprecated.
    as of MaDKit 5.2, replaced by `AgentLogger.enableCGRWarnings()`
    now useless
    Since:
      MaDKit 5
    See Also:
      - `AbstractAgent.logger`
      - `Logger`
      - `AbstractAgent.getMadkitProperty(String)`
      - `AbstractAgent.setMadkitProperty(String, String)`

  - ### networkLogLevel

    public static final Madkit.LevelOption networkLogLevel

- ## Method Details

  - ### values

    public static Madkit.LevelOption[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Madkit.LevelOption valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public Level getValue(Properties session)

  - ### toString

    public String toString()
    Returns the constant's name prefixed by "`--`" so that it could interpreted as an option of the command line or in `Madkit(String...)`.
    Specified by:
      `toString` in interface `MadkitOption`
    Overrides:
      `toString` in class `Enum<Madkit.LevelOption>`
    Returns:
      The command line form for this option, with -- in front of the option's name, i.e. `--optionName`